#include<iostream>
using namespace std;
int apsolutna_razlika(int a,int b){
    if(a>b)
        return a-b;
    else
        return b-a;
}
int main(){
    int x1,y1,x2,y2,br;
    cin>>x1>>y1;
    cin>>x2>>y2;
    if(x1==x2||y1==y2)
        br=2;
    else if(apsolutna_razlika(x1,x2)==apsolutna_razlika(y1,y2))
        br=1;
    else
        br=0;
    cout<<br;
}